# Your APIs for us - Notifications

We can send following information to your API endpoints:

- 3DS OTP code, so you can handle delivery to the user yourself via SMS, Push or other channel.
- Notifications about outcome of KYC process.
- Notifications about card locks/unlocks.
- Simple notification about transactions.

To make this work, you need to expose an API according to relevant section of this documentation.

### Security

To set secured server-server connection between our services Verestro requires a similar connection as in the case of client to Verestro communication based on the x509 certificate.  
In the first step, Verestro will send to the client a CSR for the dev and production environments.  
The next step is for the client to sign the CSR and send the certificate back to Verestro along with the base URL for the methods listed below. Verestro will authorize itself with each request with a certificate, which should be checked on the client side.

<div class="table-wrap" id="bkmrk-normal-encrypted-som"></div>### Idempotency Key

With some requests additional header X-Idempotency-Key could be send. This header contain unique random id allowing to identify single request.  
If client send this header, operation should be triggered only once and for any further request with this key, response should be identical - in most cases, returned from cache.

**example headers:**

```
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

### 3DS External OTP Notifier

This document describes API for external OTP notifier handling. Clients that are interested into having OTP notifier on their side must have implement this API to allow communication with Antaca to provide one time password about the transaction to client own users.

#### API 3DS External OTP Notifier

Below you will find a list of endpoints that you should implement on your server side. Please pay special attention to the appropriate security of our connection, the syntax of requests that you can expect from the Verestro side, idempotency and the exact way in which you should respond to each request.

<p class="callout info">These notifications support sending **[Idempotency Key](https://developer.verestro.com/books/card-management-system/page/your-apis-for-us#bkmrk-jwe-configuration)**</p>


##### Notification OTP

This method is used to transfer a one-time password generated for transactions without a card present in the 3DS standard.

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk-post-https%3A%2F%2Fserver-"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--59"></div></div></div></div>```
POST https://server-domain.com/notifications/otp
```

**Headers:**

```
Content-Type: application/json
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

**request body:**

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk-%7B-%C2%A0%C2%A0%C2%A0%C2%A0%22storagecustom"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--60"></div></div></div></div>```
{
    "storageCustomerId": "1337",
    "storageCardId": "1337",
    "balanceId": "b334b384-328c-11ed-a261-0242ac120002",
    "amount": "1000",
    "currency": "PLN",
    "merchantName": "merchant test",
    "otp": "1111"
}
```

**Parameters:**

<div class="table-wrap" id="bkmrk-parameter-required-d"><table class="relative-table confluenceTable tablesorter tablesorter-default stickyTableHeaders" role="grid"><colgroup><col></col><col></col><col></col><col></col></colgroup><thead class="tableFloatingHeaderOriginal"><tr class="tablesorter-headerRow" role="row"><th aria-disabled="false" aria-label="Parameter: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="0" role="columnheader" scope="col" tabindex="0"><div class="tablesorter-header-inner">Parameter</div></th><th aria-disabled="false" aria-label="Required: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="1" role="columnheader" scope="col" tabindex="0"><div class="tablesorter-header-inner">Required</div></th><th aria-disabled="false" aria-label="Description: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="2" role="columnheader" scope="col" tabindex="0"><div class="tablesorter-header-inner">Description</div></th><th aria-disabled="false" aria-label="Values: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" colspan="1" data-column="3" role="columnheader" scope="col" tabindex="0"><div class="tablesorter-header-inner">Type</div></th></tr></thead><tbody aria-live="polite" aria-relevant="all"><tr role="row"><td class="confluenceTd">storageCustomerId

</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">Customer identifier</td><td class="confluenceTd" colspan="1">integer value</td></tr><tr role="row"><td class="confluenceTd">storageCardId

</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">Card identifier</td><td class="confluenceTd" colspan="1">integer value</td></tr><tr role="row"><td class="confluenceTd">balanceId

</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">User balance identifier</td><td class="confluenceTd" colspan="1">uuid v4</td></tr><tr role="row"><td class="confluenceTd">amount</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">Transaction value in gross (minor value)</td><td class="confluenceTd" colspan="1">integer value</td></tr><tr role="row"><td class="confluenceTd">currency</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">Currency 3-letters code in ISO 4217

[https://www.iban.com/currency-codes](https://www.iban.com/currency-codes)

</td><td class="confluenceTd" colspan="1">ISO 4217 3-letter code</td></tr><tr role="row"><td class="confluenceTd">merchantName

</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">Merchant name

</td><td class="confluenceTd" colspan="1">string value

</td></tr><tr role="row"><td class="confluenceTd">otp</td><td class="confluenceTd">TRUE</td><td class="confluenceTd">One time password</td><td class="confluenceTd">string value</td></tr></tbody></table>

</div>**success response:**

```
204 No Content
```

**error responses:**

<p class="callout info">**If an error is received, it is not possible to retry the request.**</p>

```
Code 422
{
    "detail": "some specific details provided by server"
}
```

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--2"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk-422-%7B-%C2%A0%C2%A0%C2%A0%C2%A0%22detail%22%3A%C2%A0-0"></div></div></div></div>
### External Verification Notifier

This document describes API for processed KYC verification notifier handling. Clients that are interested into having information about status KYC verification on their side must have implement this API to allow communication with Antaca.

<p class="callout info">Notifier provide notifications only with internal KYC status processes</p>


<p class="callout info">These notifications support sending **[Idempotency Key](https://developer.verestro.com/books/card-management-system/page/your-apis-for-us#bkmrk-jwe-configuration)**</p>

##### Notification verification In-progress

This method is used to transfer information about changed KYC verification status to 'IN\_PROGRESS'.

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--4"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--61"></div></div></div></div>```
POST https://server-domain.com/notifications/verificationInProgress
```

**Headers:**

```
Content-Type: application/json
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

**request body:**

```JSON
{
  	"verificationId": "6faaa45a-41f6-4922-95fe-16e316ba7e91", 
    "userId": "1337",
	"email": "leonbakiewicz@gmail.com",  
    "firstName": "Leon",
    "lastName": "Bakiewicz",
    "status": "IN_PROGRESS",
  	"reason": null,
}

```

**response:**

```
204 No Content
```

##### Notification verification accepted

This method is used to transfer information about changed KYC verification status to 'ACCEPTED'.

```
POST https://server-domain.com/notifications/verificationAccepted
```

**Headers:**

```
Content-Type: application/json
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

**request body:**

```JSON
{
  	"verificationId": "6faaa45a-41f6-4922-95fe-16e316ba7e91", 
    "userId": "1337",
	"email": "leonbakiewicz@gmail.com",  
    "firstName": "Leon",
    "lastName": "Bakiewicz",
    "status": "ACCEPTED",
  	"reason": null,
}

```

**response:**

```
204 No Content
```

#####   


##### Notification verification rejected

This method is used to transfer information about changed KYC verification status to 'REJECTED'.

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--6"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--62"></div></div></div></div>```
POST https://server-domain.com/notifications/verificationRejected
```

**Headers:**

```
Content-Type: application/json
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

**request body:**

```JSON
{
  	"verificationId": "6faaa45a-41f6-4922-95fe-16e316ba7e91", 
    "userId": "1337",
	"email": "leonbakiewicz@gmail.com",  
    "firstName": "Leon",
    "lastName": "Bakiewicz",
    "status": "REJECTED",
  	"reason": 'INVALID_CUSTOMER_DATA',
}

```

**response:**

```
204 No Content
```

**Parameters:**

<div class="table-wrap" id="bkmrk-parameter-required-d-0"><table class="relative-table confluenceTable tablesorter tablesorter-default stickyTableHeaders" role="grid" style="width: 80.3704%; height: 545.835px;"><colgroup><col style="width: 15.5385%;"></col><col style="width: 12.1541%;"></col><col style="width: 56.9228%;"></col><col style="width: 15.3846%;"></col></colgroup><thead class="tableFloatingHeaderOriginal"><tr class="tablesorter-headerRow" role="row" style="height: 46.5938px;"><th aria-disabled="false" aria-label="Parameter: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="0" role="columnheader" scope="col" style="height: 46.5938px;" tabindex="0"><div class="tablesorter-header-inner">Parameter</div></th><th aria-disabled="false" aria-label="Required: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="1" role="columnheader" scope="col" style="height: 46.5938px;" tabindex="0"><div class="tablesorter-header-inner">Required</div></th><th aria-disabled="false" aria-label="Description: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="2" role="columnheader" scope="col" style="height: 46.5938px;" tabindex="0"><div class="tablesorter-header-inner">Description</div></th><th aria-disabled="false" aria-label="Values: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="3" role="columnheader" scope="col" style="height: 46.5938px;" tabindex="0"><div class="tablesorter-header-inner">Type</div></th></tr></thead><tbody aria-live="polite" aria-relevant="all"><tr style="height: 35.3984px;"><td style="height: 35.3984px;">verificationId

</td><td style="height: 35.3984px;">TRUE</td><td style="height: 35.3984px;">Verification identifier</td><td style="height: 35.3984px;">uuid v4</td></tr><tr role="row" style="height: 49.5938px;"><td class="confluenceTd" style="height: 49.5938px;">userId

</td><td class="confluenceTd" style="height: 49.5938px;">TRUE</td><td class="confluenceTd" style="height: 49.5938px;">User identifier</td><td class="confluenceTd" style="height: 49.5938px;">integer value</td></tr><tr role="row" style="height: 29.7969px;"><td style="height: 29.7969px;">email</td><td style="height: 29.7969px;">TRUE</td><td style="height: 29.7969px;">User's email address</td><td style="height: 29.7969px;">string value</td></tr><tr style="height: 35.3984px;"><td style="height: 35.3984px;">firstName</td><td style="height: 35.3984px;">TRUE</td><td style="height: 35.3984px;">User first name</td><td style="height: 35.3984px;">string value

</td></tr><tr style="height: 29.7969px;"><td style="height: 29.7969px;">lastName</td><td style="height: 29.7969px;">TRUE</td><td style="height: 29.7969px;">User last name</td><td style="height: 29.7969px;">string value</td></tr><tr style="height: 109.234px;"><td class="confluenceTd" style="height: 109.234px;">status</td><td class="confluenceTd" style="height: 109.234px;">TRUE</td><td class="confluenceTd" style="height: 109.234px;">Verification status. Possible values:

- REJECTED
- IN\_PROGRESS
- ACCEPTED

</td><td class="confluenceTd" style="height: 109.234px;">string value</td></tr><tr style="height: 210.023px;"><td style="height: 210.023px;">reason</td><td style="height: 210.023px;">TRUE</td><td style="height: 210.023px;">Verification status reason

**ACCEPTED**: null

**IN\_PROGRESS**: null

**REJECTED**:

- INVALID\_CUSTOMER\_DATA
- BLURRED\_DOCUMENT\_PHOTO
- INVALID\_DOCUMENT\_PHOTO
- BLURRED\_SELFIE
- INVALID\_SELFIE

</td><td style="height: 210.023px;">null/string value</td></tr></tbody></table>

</div>**Sensitive data:**

This method is used to share your public key for encryption.

```
GET https://server-domain.com/public-key
```

**response:**

```
200 OK
{
  "publicKey": "QSBwdWJsaWMga2V5IHNob3VsZCBiZSBoZXJlIGhvd2V2ZXIgaXQgd2FzIHRvbyBsb25nIDoo"
}
```

### External Card Block Notifier

This document describes an external API for communicating card blocks, which requires client-side implementation for clients wishing to receive these notifications.

#### API External Card Notifier for Locks

This method is used to transfer information about a card's blocking status and the reason for it.

```
POST https://server-domain.com/notifications/cardLocked
```


<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--7"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--8"></div></div></div></div>**Headers:**

```
Content-Type: application/json
```

**Request body:**

```
{
  "dcCardId": "11",
  "date": "2025-06-17T13:42:54+00:00",
  "reason": "PIN_TRIES_EXCEEDED"
}
```

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--9"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--10"></div></div></div></div>**Parameters:**

<div class="table-wrap" id="bkmrk-parameter-required-d-1"><table class="relative-table confluenceTable tablesorter tablesorter-default stickyTableHeaders" role="grid" style="width: 100.357%; height: 277.563px;"><colgroup><col style="width: 18.6289%;"></col><col style="width: 12.2206%;"></col><col style="width: 43.2191%;"></col><col style="width: 25.9314%;"></col></colgroup><thead class="tableFloatingHeaderOriginal"><tr class="tablesorter-headerRow" role="row" style="height: 29.7969px;"><th aria-disabled="false" aria-label="Parameter: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="0" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Parameter</div></th><th aria-disabled="false" aria-label="Required: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="1" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Required</div></th><th aria-disabled="false" aria-label="Description: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="2" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Description</div></th><th aria-disabled="false" aria-label="Values: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="3" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Type</div></th></tr></thead><tbody aria-live="polite" aria-relevant="all"><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">dcCardId

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Card identifier</td><td class="confluenceTd" style="height: 29.7969px;">integer value</td></tr><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">date

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Timestamp of lock</td><td class="confluenceTd" style="height: 29.7969px;">datetime</td></tr><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">reason

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Reason of lock</td><td class="confluenceTd" style="height: 29.7969px;">string value,

possible values:

CARD\_LOST

CARD\_STOLEN

PENDING\_QUERY

CARD\_CONSOLIDATION

CARD\_INACTIVE

PIN\_TRIES\_EXCEEDED

SUSPECTED\_FRAUD

CARD\_REPLACED

</td></tr></tbody></table>

</div>**Success response:**

```
204 No Content
```

#### API External Card Notifier for Unlocks

This method is used to transfer information about that card is unlocked.

```
POST https://server-domain.com/notifications/cardUnlocked
```

**Headers:**

```
Content-Type: application/json
```

**Request body:**

```
{
  "dcCardId": "11",
  "date": "2025-06-17T13:42:54+00:00",
}
```

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--12"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--13"></div></div></div></div>**Parameters:**

<div class="table-wrap" id="bkmrk-parameter-required-d-2"><table class="relative-table confluenceTable tablesorter tablesorter-default stickyTableHeaders" role="grid" style="width: 99.881%; height: 277.563px;"><colgroup><col style="width: 18.6078%;"></col><col style="width: 12.1821%;"></col><col style="width: 43.2396%;"></col><col style="width: 25.9705%;"></col></colgroup><thead class="tableFloatingHeaderOriginal"><tr class="tablesorter-headerRow" role="row" style="height: 29.7969px;"><th aria-disabled="false" aria-label="Parameter: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="0" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Parameter</div></th><th aria-disabled="false" aria-label="Required: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="1" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Required</div></th><th aria-disabled="false" aria-label="Description: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="2" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Description</div></th><th aria-disabled="false" aria-label="Values: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="3" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Type</div></th></tr></thead><tbody aria-live="polite" aria-relevant="all"><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">dcCardId

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Card identifier</td><td class="confluenceTd" style="height: 29.7969px;">integer value</td></tr><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">date

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Timestamp of unlock</td><td class="confluenceTd" style="height: 29.7969px;">datetime</td></tr></tbody></table>

</div>**Success response:**

```
204 No Content
```

### External Transactional Lock Reason Notifier

This document describes an external API for communicating transactional lock reason actions, which requires client-side implementation for clients wishing to receive these notifications.

#### API External Transactional Lock Reason Added

This method is used to transfer information about that transactional lock reason is added.

```
POST https://server-domain.com/notifications/transactionalLockReasonAdded
```

**Headers:**

```
Content-Type: application/json
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

**Request body:**

```
{
  "resourceType": "corporation",
  "resourceId": "a3f33118-946d-4b9c-b27f-e009d28355fa",
  "lockReason": "FRAUD_SUSPECTED",
  "timestamp": "2025-06-17T13:42:54+00:00",
}
```

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--11"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--14"></div></div></div></div>**Parameters:**

<div class="table-wrap" id="bkmrk-parameter-required-d-3"><table class="relative-table confluenceTable tablesorter tablesorter-default stickyTableHeaders" role="grid" style="width: 99.881%; height: 277.563px;"><colgroup><col style="width: 18.6078%;"></col><col style="width: 12.1821%;"></col><col style="width: 43.2396%;"></col><col style="width: 25.9705%;"></col></colgroup><thead class="tableFloatingHeaderOriginal"><tr class="tablesorter-headerRow" role="row" style="height: 29.7969px;"><th aria-disabled="false" aria-label="Parameter: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="0" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Parameter</div></th><th aria-disabled="false" aria-label="Required: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="1" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Required</div></th><th aria-disabled="false" aria-label="Description: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="2" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Description</div></th><th aria-disabled="false" aria-label="Values: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="3" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Type</div></th></tr></thead><tbody aria-live="polite" aria-relevant="all"><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">resourceType

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Type of resource</td><td class="confluenceTd" style="height: 29.7969px;">string value:  
- corporation  
- user</td></tr><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">resourceId

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Id of resource</td><td class="confluenceTd" style="height: 29.7969px;">numeric string or uuid</td></tr><tr><td>lockReason

</td><td>TRUE</td><td>Reason of lock</td><td>string value:

DOCUMENT\_EXPIRED  
FRAUD\_SUSPECTED  
SCREENING\_DETECTED  
TEMPORARY\_LOCKED  
PEKAO\_LOCK  
ZEN\_LOCK  
PROSECUTOR\_LOCK  
FENIGE\_LOCK  
POLICE\_LOCK  
MANY\_CARDS\_LOCK  
NAGATIVE\_VERIFICATION  
PRADO\_VERIFICATION

</td></tr><tr><td>timestamp

</td><td>TRUE</td><td>Datetime of add/remove lock reason</td><td>datetime

</td></tr></tbody></table>

</div>**Success response:**

```
204 No Content
```

#### API External Transactional Lock Reason Removed

This method is used to transfer information about that transactional lock reason is removed.

```
POST https://server-domain.com/notifications/transactionalLockReasonRemoved
```

**Headers:**

```
Content-Type: application/json
X-Idempotency-Key: 20e87975-dbfb-4c95-b239-169516c0b707
```

**Request body:**

```
{
  "resourceType": "corporation",
  "resourceId": "a3f33118-946d-4b9c-b27f-e009d28355fa",
  "lockReason": "FRAUD_SUSPECTED",
  "timestamp": "2025-06-17T13:42:54+00:00",
}
```

<div class="code panel pdl conf-macro output-block" data-hasbody="true" data-macro-name="code" id="bkmrk--15"><div class="codeContent panelContent pdl"><div><div class="syntaxhighlighter sh-confluence nogutter  php" id="bkmrk--16"></div></div></div></div>**Parameters:**

<div class="table-wrap" id="bkmrk-parameter-required-d-4"><table class="relative-table confluenceTable tablesorter tablesorter-default stickyTableHeaders" role="grid" style="width: 99.881%; height: 277.563px;"><colgroup><col style="width: 18.6078%;"></col><col style="width: 12.1821%;"></col><col style="width: 43.2396%;"></col><col style="width: 25.9705%;"></col></colgroup><thead class="tableFloatingHeaderOriginal"><tr class="tablesorter-headerRow" role="row" style="height: 29.7969px;"><th aria-disabled="false" aria-label="Parameter: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="0" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Parameter</div></th><th aria-disabled="false" aria-label="Required: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="1" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Required</div></th><th aria-disabled="false" aria-label="Description: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="2" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Description</div></th><th aria-disabled="false" aria-label="Values: No sort applied, activate to apply an ascending sort" aria-sort="none" class="confluenceTh tablesorter-header sortableHeader tablesorter-headerUnSorted" data-column="3" role="columnheader" scope="col" style="height: 29.7969px;" tabindex="0"><div class="tablesorter-header-inner">Type</div></th></tr></thead><tbody aria-live="polite" aria-relevant="all"><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">resourceType

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Type of resource</td><td class="confluenceTd" style="height: 29.7969px;">string value:  
- corporation  
- user</td></tr><tr role="row" style="height: 29.7969px;"><td class="confluenceTd" style="height: 29.7969px;">resourceId

</td><td class="confluenceTd" style="height: 29.7969px;">TRUE</td><td class="confluenceTd" style="height: 29.7969px;">Id of resource</td><td class="confluenceTd" style="height: 29.7969px;">numeric string or uuid</td></tr><tr><td>lockReason

</td><td>TRUE</td><td>Reason of lock</td><td>string value:

DOCUMENT\_EXPIRED  
FRAUD\_SUSPECTED  
SCREENING\_DETECTED  
TEMPORARY\_LOCKED  
PEKAO\_LOCK  
ZEN\_LOCK  
PROSECUTOR\_LOCK  
FENIGE\_LOCK  
POLICE\_LOCK  
MANY\_CARDS\_LOCK  
NAGATIVE\_VERIFICATION  
PRADO\_VERIFICATION

</td></tr><tr><td>timestamp

</td><td>TRUE</td><td>Datetime of add/remove lock reason</td><td>datetime

</td></tr></tbody></table>

</div>**Success response:**

```
204 No Content
```




### Transactions notifier

To get notifications about transactions use [Transaction History Core API](https://developer.verestro.com/books/transaction-history-api/page/technical-documentation-thc-external-api)